diff --git a/doc/src/sgml/runtime.sgml b/doc/src/sgml/runtime.sgml
index 7f4a235..8811097 100644
--- a/doc/src/sgml/runtime.sgml
+++ b/doc/src/sgml/runtime.sgml
@@ -881,9 +881,12 @@ option        SEMMAP=256
        <para>
         The default maximum segment size is 32 MB, and the
         default maximum total size is 2097152
-        pages.  A page is almost always 4096 bytes except in unusual
+        pages.  A page is almost always 4096 bytes except in
         kernel configurations with <quote>huge pages</quote>
-        (use <literal>getconf PAGE_SIZE</literal> to verify).
+        (use <literal>cat /proc/meminfo | grep Hugepagesize</literal>
+        to verify), but they have to be enabled explicitely via
+        <xref linkend="guc-huge-pages">. See
+        <xref linkend="linux-huge-pages"> for details.
        </para>
 
        <para>
